Subject: Re: Signals

From: Peter Blatherwick <[email-masked]>
Date: Wed, 3 Nov 1999 09:04:43 -0600

Tom, list:

I prefer the first interpretation you give: "immediate" signals are
essentially state transitions, and the state persists until it is explicitly
changed to another state.  This covers more than the on/off-hook signals.
For example, many call progress tones, application of ringing, and most user
interface related signals (display, indicators, etc) should behave this way.
I believe this is the same as the intent of OO signals as currently defined,
but as I think about this more I conclude that state could be more than just
On or Off, so we might consider amending the wording of how these work.

BTW, I don't think Chip's interpretation is different from mine on this, at
least to the point where signal states can be On or Off.  (I assume Chip
will scream loudly if I have put too many words in his mouth. ;-)

One nit: "call" should have nothing to do with it at the MG.  Call concept
exists only at the MGC, so the MGC side makes the judgement on when to
stop/transition a signal.  We must avoid implying call control intelligence
at the MG.  I assume this matches your intent, but wanted to make sure
others on the list had the same understanding.

-- Peter Blatherwick

> -----Original Message-----
> From: Taylor, Tom-PT [CAR:B904-I:EXCH]
> Sent: 3 Nov, 1999 08:13
> To:   [email-masked]
> Subject:      Re: Signals
>
> My view of on hook or off hook is that they are instantaneous
> events/signals.  In other words, the event/signal is really off hook
> transition.  To undo an off hook signal, you wouldn't stop it, you would
> send an on hook transition signal.
>
> This is a matter of style: you could also, as Chip implies, consider off
> hook to be a signal which is applied for the duration of a call, then
> stopped, at which time the background on-hook state would prevail.
>
> Do people have a preference between these two views?
>
>       -----Original Message-----
> From:   Chip Sharp [SMTP:[email-masked]]
> Sent:   Friday, October 29, 1999 2:16 PM
> To:     [email-masked]
> Subject:        Re: Signals
>
>       At 10:19 AM 10/29/99 -0500, Peter Blatherwick wrote:
>
>       >My understanding, based on discussion, is:  The signal replacement
> rule is
> >applicable to signals that have duration, such as playing of tones and
> >announcements.  Many signals are "immediate" and have no duration, such
> as
> >going on/off hook, turning on/off indicators, updating display.  The
> >latter class of signals would NOT be wiped out (ie display not cleared,
> >indicators not turned off) by a new SignalsDescriptor.  Correct?
> >
> >Sure.  If a BR signal finished between the time you played it and you
> sent
> >a new one we don't rewind the media stream :).  If it's over in a
> >millisecond, the issue doesn't arise.
> >Agreed then.  "Immediate" signals are not affected by arrival of a new
> >SignalsDescriptor unless it contains some explicit action (explicitly
> >clears display, etc).
>
>       I hope you are saying that on-hook and off-hook have duration.  That
> is,
> they are OO events.  This is why OO events should only be turned off
> explicitly.
>
>       BTW, there should be very few OO events.
>
>       Sounds like what you are calling "immediate" is what I am calling
> "OO".
>
>
>       >-- Peter Blatherwick
>
>       Support NetAid!  <http://www.netaid.org>
> --------------------------------------------------
> Chip Sharp                 Consulting Engineering
> Cisco Systems              Telco Bio-region
> Reality - Love it or Leave it.
> --------------------------------------------------
>